Extract the Ed25519 public key from a keypair

- « sodium_crypto_sign_publickey_from_secretkey

- sodium_crypto_sign_secretkey »

- PHP Manual
- Sodium Functions
- Extract the Ed25519 public key from a keypair

# sodium_crypto_sign_publickey

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_sign_publickey — Extract the Ed25519 public key from a keypair

### Description

sodium_crypto_sign_publickey(string `$key_pair`): string

Extract the Ed25519 public key from a keypair

### Parameters

`key_pair`

  Ed25519 keypair (see: sodium_crypto_sign_keypair())

### Return Values

Ed25519 public key